curl --request POST \
--url https://workspace.example.com/v1/signal-sets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contributions": [
{
"event_type": "<string>",
"points": 5000,
"max_count": 1,
"use_saved_website_points": false
}
],
"fit_conditions": [
{
"value": ""
}
],
"fit_points": 100,
"mode": "events",
"threshold": 100,
"website_site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"window_days": 7
}
'import requests
url = "https://workspace.example.com/v1/signal-sets"
payload = {
"name": "<string>",
"contributions": [
{
"event_type": "<string>",
"points": 5000,
"max_count": 1,
"use_saved_website_points": False
}
],
"fit_conditions": [{ "value": "" }],
"fit_points": 100,
"mode": "events",
"threshold": 100,
"website_site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"window_days": 7
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contributions: [
{
event_type: '<string>',
points: 5000,
max_count: 1,
use_saved_website_points: false
}
],
fit_conditions: [{value: ''}],
fit_points: 100,
mode: 'events',
threshold: 100,
website_site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
window_days: 7
})
};
fetch('https://workspace.example.com/v1/signal-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://workspace.example.com/v1/signal-sets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'contributions' => [
[
'event_type' => '<string>',
'points' => 5000,
'max_count' => 1,
'use_saved_website_points' => false
]
],
'fit_conditions' => [
[
'value' => ''
]
],
'fit_points' => 100,
'mode' => 'events',
'threshold' => 100,
'website_site_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'window_days' => 7
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://workspace.example.com/v1/signal-sets"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"contributions\": [\n {\n \"event_type\": \"<string>\",\n \"points\": 5000,\n \"max_count\": 1,\n \"use_saved_website_points\": false\n }\n ],\n \"fit_conditions\": [\n {\n \"value\": \"\"\n }\n ],\n \"fit_points\": 100,\n \"mode\": \"events\",\n \"threshold\": 100,\n \"website_site_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"window_days\": 7\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://workspace.example.com/v1/signal-sets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"contributions\": [\n {\n \"event_type\": \"<string>\",\n \"points\": 5000,\n \"max_count\": 1,\n \"use_saved_website_points\": false\n }\n ],\n \"fit_conditions\": [\n {\n \"value\": \"\"\n }\n ],\n \"fit_points\": 100,\n \"mode\": \"events\",\n \"threshold\": 100,\n \"website_site_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"window_days\": 7\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://workspace.example.com/v1/signal-sets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"contributions\": [\n {\n \"event_type\": \"<string>\",\n \"points\": 5000,\n \"max_count\": 1,\n \"use_saved_website_points\": false\n }\n ],\n \"fit_conditions\": [\n {\n \"value\": \"\"\n }\n ],\n \"fit_points\": 100,\n \"mode\": \"events\",\n \"threshold\": 100,\n \"website_site_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"window_days\": 7\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Create Definition
Requires the listed current workspace permission. Source policy, tenant lifecycle and provider prerequisites remain authoritative.
curl --request POST \
--url https://workspace.example.com/v1/signal-sets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contributions": [
{
"event_type": "<string>",
"points": 5000,
"max_count": 1,
"use_saved_website_points": false
}
],
"fit_conditions": [
{
"value": ""
}
],
"fit_points": 100,
"mode": "events",
"threshold": 100,
"website_site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"window_days": 7
}
'import requests
url = "https://workspace.example.com/v1/signal-sets"
payload = {
"name": "<string>",
"contributions": [
{
"event_type": "<string>",
"points": 5000,
"max_count": 1,
"use_saved_website_points": False
}
],
"fit_conditions": [{ "value": "" }],
"fit_points": 100,
"mode": "events",
"threshold": 100,
"website_site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"window_days": 7
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contributions: [
{
event_type: '<string>',
points: 5000,
max_count: 1,
use_saved_website_points: false
}
],
fit_conditions: [{value: ''}],
fit_points: 100,
mode: 'events',
threshold: 100,
website_site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
window_days: 7
})
};
fetch('https://workspace.example.com/v1/signal-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://workspace.example.com/v1/signal-sets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'contributions' => [
[
'event_type' => '<string>',
'points' => 5000,
'max_count' => 1,
'use_saved_website_points' => false
]
],
'fit_conditions' => [
[
'value' => ''
]
],
'fit_points' => 100,
'mode' => 'events',
'threshold' => 100,
'website_site_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'window_days' => 7
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://workspace.example.com/v1/signal-sets"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"contributions\": [\n {\n \"event_type\": \"<string>\",\n \"points\": 5000,\n \"max_count\": 1,\n \"use_saved_website_points\": false\n }\n ],\n \"fit_conditions\": [\n {\n \"value\": \"\"\n }\n ],\n \"fit_points\": 100,\n \"mode\": \"events\",\n \"threshold\": 100,\n \"website_site_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"window_days\": 7\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://workspace.example.com/v1/signal-sets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"contributions\": [\n {\n \"event_type\": \"<string>\",\n \"points\": 5000,\n \"max_count\": 1,\n \"use_saved_website_points\": false\n }\n ],\n \"fit_conditions\": [\n {\n \"value\": \"\"\n }\n ],\n \"fit_points\": 100,\n \"mode\": \"events\",\n \"threshold\": 100,\n \"website_site_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"window_days\": 7\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://workspace.example.com/v1/signal-sets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"contributions\": [\n {\n \"event_type\": \"<string>\",\n \"points\": 5000,\n \"max_count\": 1,\n \"use_saved_website_points\": false\n }\n ],\n \"fit_conditions\": [\n {\n \"value\": \"\"\n }\n ],\n \"fit_points\": 100,\n \"mode\": \"events\",\n \"threshold\": 100,\n \"website_site_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"window_days\": 7\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Organization-bound Auth0 API access token. Required permissions are listed per operation; this does not offer API-key or client-registration issuance.
Headers
Required for browser-session mutations. Origin must exactly match the workspace; read the CSRF token from GET /v1/me using the browser session. A bearer-authenticated /v1/me response has csrf_token=null. Not required for bearer-token-only requests.
Required for browser-session mutations. Origin must exactly match the workspace; read the CSRF token from GET /v1/me using the browser session. A bearer-authenticated /v1/me response has csrf_token=null. Not required for bearer-token-only requests.
Body
1 - 10020Show child attributes
Show child attributes
10Show child attributes
Show child attributes
1 <= x <= 10000events, company_fit 1 <= x <= 10000001 <= x <= 365Response
Successful Response